import { CompileResult } from '../../interfaces';
import { AngularCompilerHost } from './host';
export declare class AngularCompiler {
    readonly host: AngularCompilerHost;
    private readonly config;
    private readonly transformers;
    private readonly loop;
    private entryFile;
    constructor(project: string, compileResource: (file: string) => Promise<string>);
    /**
     * Waits for the current compilation to finish if any
     */
    wait(): Promise<void>;
    /**
     * Triggers a TypeScript compilation if needed and returns a compiled file
     * @param path a absolute path to a TypeScript source file to compile
     */
    compile(path: string): Promise<CompileResult<string[]>>;
}
