import { Server, Worker } from 'parcel-plugin-typescript/exports';
import { CompileRequest, CompileResult, ServerRequest, ServerResponse, WorkerRequest, WorkerResponse } from '../../interfaces';
export declare class TypeScriptWorker extends Worker<WorkerRequest, WorkerResponse> {
    readonly resources: Map<string, string[]>;
    private readonly bundler;
    constructor(bundler: any);
    compile(data: CompileRequest): Promise<CompileResult>;
    typeCheck(data: CompileRequest): Promise<void>;
    readVirtualFile(file: string): Promise<string | null>;
    processResource(file: string): Promise<string>;
    invalidate(files: string[]): Promise<void>;
}
export declare class AngularServer extends Server<ServerRequest, ServerResponse> {
    private readonly worker;
    constructor(bundler: any);
    close(): void;
}
